/**
 * Provide a basic demonstration of the auction project.
 * 
 * @author David J. Barnes and Michael Kolling
 * @version 2002.11.14
 */
public class AuctionDemo
{
    // The Auction to be demonstrated.
    private Auction auction;

    /**
     * Constructor for objects of class AuctionDemo
     */
    public AuctionDemo()
    {
        auction = new Auction();
    }

    /**
     * Setup an auction and enter some bids.
     */
    public void demo()
    {
        // Enter some sample lots into the auction.
        
        auction.enterLot("bicycle");
        auction.enterLot("table and 4 chairs");
        auction.enterLot("a box of assorted novels");
        
        auction.showLots();
        
        // Create two bidders.
        Person david = new Person("David");
        Person michael = new Person("Michael");
        
        // Select one of the lots to bid for.    
        Lot lot = auction.getLot(2);
        
        // Bid for the lot.
        lot.bidFor(david, 20);
        lot.bidFor(michael, 40);
        
        auction.showLots();
    }
}
